[Bug 1955996] Re: gnome-shell uses excessive memory

2021-12-30 Thread Timothy Krause
I'm trying logging in with 'Ubuntu on Xorg'.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1955996

Title:
  gnome-shell uses excessive memory

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1955996/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1955996] [NEW] gnome-shell uses excessive memory

2021-12-29 Thread Timothy Krause
Public bug reported:

I leave my computer running for days at a time. I noticed that gnome-
shell was using something like 8-gigs of memory. I just kill the process
on a regular basis.

ProblemType: Bug
DistroRelease: Ubuntu 21.10
Package: gnome-shell 40.5-1ubuntu2
ProcVersionSignature: Ubuntu 5.13.0-22.22-generic 5.13.19
Uname: Linux 5.13.0-22-generic x86_64
ApportVersion: 2.20.11-0ubuntu71
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: ubuntu:GNOME
Date: Wed Dec 29 10:20:23 2021
DisplayManager: gdm3
InstallationDate: Installed on 2020-01-22 (706 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: mutter-common 40.5-1ubuntu3~21.10.1
SourcePackage: gnome-shell
UpgradeStatus: Upgraded to impish on 2021-10-19 (70 days ago)

** Affects: gnome-shell (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug impish

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1955996

Title:
  gnome-shell uses excessive memory

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1955996/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1926225] Re: Maxima fails to start with error message "The assertion realpath(s, o) on line 471 of main.c in function mbin failed: Invalid argument Aborted (core dumped)"

2021-06-12 Thread Timothy Krause
I tried to compile the source code and it's broken too.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1926225

Title:
  Maxima fails to start with error message "The assertion realpath(s,o)
  on line 471 of main.c in function mbin failed: Invalid argument
  Aborted (core dumped)"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/maxima/+bug/1926225/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884146] [NEW] .desktop file isn't valid

2020-06-18 Thread Timothy Krause
Public bug reported:

The .desktop file that kate writes to ~/.local/share/applications
produces errors when run through desktop-file-validate. The other side
effect of this is that kate doesn't show up in the applications menu
search but the desktop file does. Clicking on the desktop file just
opens a text editor with desktop file as a source.

** Affects: kate (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884146

Title:
  .desktop file isn't valid

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kate/+bug/1884146/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-29 Thread Timothy Krause
The eoan-proposed repository didn't work for me. This is what apt-cache
says:

mesa-opencl-icd:
  Installed: 19.2.8-0ubuntu0~19.10.1
  Candidate: 19.2.8-0ubuntu0~19.10.1
  Version table:
 *** 19.2.8-0ubuntu0~19.10.1 500
500 http://ca.archive.ubuntu.com/ubuntu eoan-proposed/universe amd64 
Packages
100 /var/lib/dpkg/status
 19.2.8-0ubuntu0~19.10.1~ppa1 500
500 http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu eoan/main 
amd64 Packages
 19.2.1-1ubuntu1 500
500 http://ca.archive.ubuntu.com/ubuntu eoan/universe amd64 Packages

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-26 Thread Timothy Krause
I fixed it myself. I'm going to try to get a merge request.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1860042] Re: openCL application gives error after update

2020-01-23 Thread Timothy Krause
I've upgraded to Ubuntu 19.10 and used the PPA that you recommended and the
error is still there. I could give you a patch with the changes that I made
to
ac_rtld.c that fixed the problem for my computer.


On Wed, Jan 22, 2020 at 5:35 AM Timo Aaltonen  wrote:

> could you test with a newer mesa from this ppa
>
> https://launchpad.net/~ubuntu-x-swat/+archive/ubuntu/updates
>
> it's got latest bugfix release of the series, 19.2.8, and it's now
> pending as a distro update as well
>
> ** Changed in: mesa (Ubuntu)
>Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1860042
>
> Title:
>   openCL application gives error after update
>
> Status in mesa package in Ubuntu:
>   Incomplete
>
> Bug description:
>   My OpenCL program was working normally until a software update.
>
>   The program prints out:
>
>   ac_rtld error: !s->is_rx
>   LLVM failed to upload shader
>
>   when clEnqueueNDRangeKernel is called.
>
>   I've downloaded the source for mesa and traced the problem to the
>   gallium radeon driver. The first error message is from
>
>   mesa-19.2.1/src/amd/common/ac_rtld.c
>
>   and the second error message is from
>
>   mesa-19.2.1/src/gallium/drivers/radeonsi/si_compute.c
>
>   ProblemType: Bug
>   DistroRelease: Ubuntu 18.04
>   Package: libllvm9 1:9-2~ubuntu18.04.1
>   ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
>   Uname: Linux 4.15.0-74-lowlatency x86_64
>   ApportVersion: 2.20.9-0ubuntu7.9
>   Architecture: amd64
>   CurrentDesktop: ubuntu:GNOME
>   Date: Thu Jan 16 14:35:15 2020
>   InstallationDate: Installed on 2018-04-28 (628 days ago)
>   InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64
> (20180426)
>   SourcePackage: mesa-opencl-icd
>   UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions
>

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-20 Thread Timothy Krause
** Description changed:

  My OpenCL program was working normally until a software update.
  
  The program prints out:
  
  ac_rtld error: !s->is_rx
  LLVM failed to upload shader
  
  when clEnqueueNDRangeKernel is called.
  
  I've downloaded the source for mesa and traced the problem to the
- gallium radeon driver.
+ gallium radeon driver. The first error message is from
+ 
+ mesa-19.2.1/src/amd/common/ac_rtld.c
+ 
+ and the second error message is from
+ 
+ mesa-19.2.1/src/gallium/drivers/radeonsi/si_shader.c
+ 
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  SourcePackage: mesa-opencl-icd
  UpgradeStatus: No upgrade log present (probably fresh install)

** Description changed:

  My OpenCL program was working normally until a software update.
  
  The program prints out:
  
  ac_rtld error: !s->is_rx
  LLVM failed to upload shader
  
  when clEnqueueNDRangeKernel is called.
  
  I've downloaded the source for mesa and traced the problem to the
  gallium radeon driver. The first error message is from
  
  mesa-19.2.1/src/amd/common/ac_rtld.c
  
  and the second error message is from
  
- mesa-19.2.1/src/gallium/drivers/radeonsi/si_shader.c
- 
+ mesa-19.2.1/src/gallium/drivers/radeonsi/si_compute.c
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  SourcePackage: mesa-opencl-icd
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-19 Thread Timothy Krause
** Description changed:

  My OpenCL program was working normally until a software update. The log file 
(/var/log/apt/history.log) contains:
  Start-Date: 2020-01-16  12:48:13
  Commandline: aptdaemon role='role-commit-packages' sender=':1.131'
  Install: libllvm9:amd64 (1:9-2~ubuntu18.04.1, automatic), 
libclang-common-9-dev:
  amd64 (1:9-2~ubuntu18.04.1, automatic)
  Upgrade: libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04.1
  ), libclc-amdgcn:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git20190827-1~u
  buntu18.04.1), libclc-dev:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git201
  90827-1~ubuntu18.04.1), libclc-r600:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.
  2.0+git20190827-1~ubuntu18.04.1), libdrm-amdgpu1:amd64 
(2.4.97-1ubuntu1~18.04.1,
   2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubunt
  u1~18.04.1), libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04
  .1), libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
li
  bdrm-dev:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
libdrm-common
  :amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1)
  End-Date: 2020-01-16  12:48:35
  
  The program prints out:
  
  ac_rtld error: !s->is_rx
  LLVM failed to upload shader
  
  when clEnqueueNDRangeKernel is called.
  
- It could be in any one of the packages that were upgraded or installed.
- I chose libllvm9 because of the error message.
+ I've downloaded the source for mesa and traced the problem to the
+ gallium radeon driver.
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  SourcePackage: llvm-toolchain-9
  UpgradeStatus: No upgrade log present (probably fresh install)

** Description changed:

- My OpenCL program was working normally until a software update. The log file 
(/var/log/apt/history.log) contains:
- Start-Date: 2020-01-16  12:48:13
- Commandline: aptdaemon role='role-commit-packages' sender=':1.131'
- Install: libllvm9:amd64 (1:9-2~ubuntu18.04.1, automatic), 
libclang-common-9-dev:
- amd64 (1:9-2~ubuntu18.04.1, automatic)
- Upgrade: libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04.1
- ), libclc-amdgcn:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git20190827-1~u
- buntu18.04.1), libclc-dev:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git201
- 90827-1~ubuntu18.04.1), libclc-r600:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.
- 2.0+git20190827-1~ubuntu18.04.1), libdrm-amdgpu1:amd64 
(2.4.97-1ubuntu1~18.04.1,
-  2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubunt
- u1~18.04.1), libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04
- .1), libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
li
- bdrm-dev:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
libdrm-common
- :amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1)
- End-Date: 2020-01-16  12:48:35
+ My OpenCL program was working normally until a software update.
  
  The program prints out:
  
  ac_rtld error: !s->is_rx
  LLVM failed to upload shader
  
  when clEnqueueNDRangeKernel is called.
  
  I've downloaded the source for mesa and traced the problem to the
  gallium radeon driver.
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
- SourcePackage: llvm-toolchain-9
+ SourcePackage: mesa-opencl-icd
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-18 Thread Timothy Krause
** Package changed: llvm-toolchain-9 (Ubuntu) => mesa (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860199] [NEW] OpenCL programs give error messages

2020-01-17 Thread Timothy Krause
Public bug reported:

OpenCL programs print

ac_rtld error: !s->is_rx
LLVM failed to upload shader

when calling clEnqueueNDRangeKernel.

lsb_release -rd displays:

Description:Ubuntu 19.10
Release:19.10

apt-cache policy mesa-opencl-icd displays:

mesa-opencl-icd:
  Installed: 19.2.1-1ubuntu1
  Candidate: 19.2.1-1ubuntu1
  Version table:
 *** 19.2.1-1ubuntu1 500
500 http://archive.ubuntu.com/ubuntu eoan/universe amd64 Packages
100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: mesa-opencl-icd 19.2.1-1ubuntu1
ProcVersionSignature: Ubuntu 5.3.0-18.19-generic 5.3.1
Uname: Linux 5.3.0-18-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu8
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperVersion: 1.427
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Fri Jan 17 23:09:17 2020
DistUpgraded: Fresh install
DistroCodename: eoan
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Wani [Radeon R5/R6/R7 Graphics] 
[1002:9874] (rev e1) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Wani [Radeon R5/R6/R7 Graphics] 
[103c:82fe]
LiveMediaBuild: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
MachineType: HP HP Pavilion Desktop PC 570-p0xx
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=C.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed 
quiet splash ---
SourcePackage: mesa
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/30/2017
dmi.bios.vendor: AMI
dmi.bios.version: F.20
dmi.board.asset.tag: CNV7500FYH
dmi.board.name: 82FE
dmi.board.vendor: HP
dmi.board.version: 11
dmi.chassis.asset.tag: CNV7500FYH
dmi.chassis.type: 3
dmi.chassis.vendor: HP
dmi.modalias: 
dmi:bvnAMI:bvrF.20:bd10/30/2017:svnHP:pnHPPavilionDesktopPC570-p0xx:pvr:rvnHP:rn82FE:rvr11:cvnHP:ct3:cvr:
dmi.product.family: 103C_53311M HP Pavilion
dmi.product.name: HP Pavilion Desktop PC 570-p0xx
dmi.product.sku: Z5P18AA#ABL
dmi.sys.vendor: HP
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.99-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.1-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.5+git20191008-0ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.0.1-1ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20190815-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: mesa (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug eoan ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860199

Title:
  OpenCL programs give error messages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1860199/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-17 Thread Timothy Krause
** Description changed:

  My OpenCL program was working normally until a software update. The log file 
(/var/log/apt/history.log) contains:
  Start-Date: 2020-01-16  12:48:13
  Commandline: aptdaemon role='role-commit-packages' sender=':1.131'
  Install: libllvm9:amd64 (1:9-2~ubuntu18.04.1, automatic), 
libclang-common-9-dev:
  amd64 (1:9-2~ubuntu18.04.1, automatic)
  Upgrade: libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04.1
  ), libclc-amdgcn:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git20190827-1~u
  buntu18.04.1), libclc-dev:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git201
  90827-1~ubuntu18.04.1), libclc-r600:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.
  2.0+git20190827-1~ubuntu18.04.1), libdrm-amdgpu1:amd64 
(2.4.97-1ubuntu1~18.04.1,
   2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubunt
  u1~18.04.1), libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04
  .1), libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
li
  bdrm-dev:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
libdrm-common
  :amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1)
  End-Date: 2020-01-16  12:48:35
  
- The program just prints out:
+ The program prints out:
  
  ac_rtld error: !s->is_rx
  LLVM failed to upload shader
  
  when clEnqueueNDRangeKernel is called.
  
  It could be in any one of the packages that were upgraded or installed.
  I chose libllvm9 because of the error message.
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  SourcePackage: llvm-toolchain-9
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-9/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-17 Thread Timothy Krause
** Description changed:

- My OpenCL program was working normally until a software update. The log file 
contains:
+ My OpenCL program was working normally until a software update. The log file 
(/var/log/apt/history.log) contains:
  Start-Date: 2020-01-16  12:48:13
  Commandline: aptdaemon role='role-commit-packages' sender=':1.131'
  Install: libllvm9:amd64 (1:9-2~ubuntu18.04.1, automatic), 
libclang-common-9-dev:
  amd64 (1:9-2~ubuntu18.04.1, automatic)
  Upgrade: libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04.1
  ), libclc-amdgcn:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git20190827-1~u
  buntu18.04.1), libclc-dev:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.2.0+git201
  90827-1~ubuntu18.04.1), libclc-r600:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 
0.
  2.0+git20190827-1~ubuntu18.04.1), libdrm-amdgpu1:amd64 
(2.4.97-1ubuntu1~18.04.1,
-  2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubunt
+  2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubunt
  u1~18.04.1), libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1, 
2.4.99-1ubuntu1~18.04
  .1), libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
li
  bdrm-dev:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), 
libdrm-common
  :amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1)
  End-Date: 2020-01-16  12:48:35
  
- The program just prints out 'LLVM failed to upload shader
- ac_rtld error: !s->is_rx'.
+ The program just prints out:
+ 
+ ac_rtld error: !s->is_rx
+ LLVM failed to upload shader
+ 
+ when clEnqueueNDRangeKernel is called.
+ 
+ It could be in any one of the packages that were upgraded or installed.
+ I chose libllvm9 because of the error message.
  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libllvm9 1:9-2~ubuntu18.04.1
  ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
  Uname: Linux 4.15.0-74-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.9
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jan 16 14:35:15 2020
  InstallationDate: Installed on 2018-04-28 (628 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  SourcePackage: llvm-toolchain-9
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-9/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] Re: openCL application gives error after update

2020-01-16 Thread Timothy Krause
** Summary changed:

- openCL application gives error
+ openCL application gives error after update

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error after update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-9/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860042] [NEW] openCL application gives error

2020-01-16 Thread Timothy Krause
Public bug reported:

My OpenCL program was working normally until a software update. The log file 
contains:
Start-Date: 2020-01-16  12:48:13
Commandline: aptdaemon role='role-commit-packages' sender=':1.131'
Install: libllvm9:amd64 (1:9-2~ubuntu18.04.1, automatic), libclang-common-9-dev:
amd64 (1:9-2~ubuntu18.04.1, automatic)
Upgrade: libdrm-nouveau2:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1
), libclc-amdgcn:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 0.2.0+git20190827-1~u
buntu18.04.1), libclc-dev:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 0.2.0+git201
90827-1~ubuntu18.04.1), libclc-r600:amd64 (0.2.0+git20190306-1~ubuntu18.04.1, 0.
2.0+git20190827-1~ubuntu18.04.1), libdrm-amdgpu1:amd64 (2.4.97-1ubuntu1~18.04.1,
 2.4.99-1ubuntu1~18.04.1), libdrm2:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubunt
u1~18.04.1), libdrm-intel1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04
.1), libdrm-radeon1:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), li
bdrm-dev:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1), libdrm-common
:amd64 (2.4.97-1ubuntu1~18.04.1, 2.4.99-1ubuntu1~18.04.1)
End-Date: 2020-01-16  12:48:35

The program just prints out 'LLVM failed to upload shader
ac_rtld error: !s->is_rx'.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: libllvm9 1:9-2~ubuntu18.04.1
ProcVersionSignature: Ubuntu 4.15.0-74.84-lowlatency 4.15.18
Uname: Linux 4.15.0-74-lowlatency x86_64
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Jan 16 14:35:15 2020
InstallationDate: Installed on 2018-04-28 (628 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
SourcePackage: llvm-toolchain-9
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: llvm-toolchain-9 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860042

Title:
  openCL application gives error

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-9/+bug/1860042/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1613093] [NEW] linphone not initializing the transport layer

2016-08-14 Thread Timothy Krause
Public bug reported:

"lsb_release -rd" gives

Description:Ubuntu 16.04.1 LTS
Release:16.04

"apt-cache policy linphone" gives

linphone:
  Installed: 3.6.1-2.5
  Candidate: 3.6.1-2.5
  Version table:
 *** 3.6.1-2.5 500
500 http://ca.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
100 /var/lib/dpkg/status

I just upgraded to Ubuntu 16.04.1 and then installed linphone. When I
start linphone a message pops up saying, "Could not start tls transport
on port 10121, maybe this port is already used." I started linphone from
the command line with the --verbose flag set and there is a message that
says, "linphone-message : getaddrinfo failure. 0.0.0.0:10121 (-9)".

** Affects: linphone (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1613093

Title:
  linphone not initializing the transport layer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linphone/+bug/1613093/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1459793] [NEW] grive crashes when refreshing token

2015-05-28 Thread Timothy Krause
Public bug reported:

resquest failed due to auth token expired: 401. refreshing token
exception: 
/build/grive2-bhMj32/grive2-0.4.0/libgrive/src/json/JsonParser.cc(169): Throw 
in function void gr::JsonParser::Parse(const char*, std::size_t)
Dynamic exception type: 
boost::exception_detail::clone_implgr::JsonParser::Error
[gr::expt::BacktraceTag*] = #0 0x471390 grive gr::Exception::Exception()
#1 0x45f3f1 grive gr::JsonParser::Error::Error()
#2 0x45e670 grive gr::JsonParser::Parse(char const*, unsigned long)
#3 0x46bc3d grive gr::http::ValResponse::Write(char const*, unsigned long)
#4 0x7fcb578bacd0 /usr/lib/x86_64-linux-gnu/libcurl.so.4 
#5 0x7fcb578cf650 /usr/lib/x86_64-linux-gnu/libcurl.so.4 
#6 0x7fcb578d89dc /usr/lib/x86_64-linux-gnu/libcurl.so.4 
#7 0x7fcb578d9181 /usr/lib/x86_64-linux-gnu/libcurl.so.4 curl_multi_perform
#8 0x7fcb578d07b3 /usr/lib/x86_64-linux-gnu/libcurl.so.4 curl_easy_perform
#9 0x457938 grive gr::http::CurlAgent::ExecCurl(std::string const, 
gr::DataStream*, gr::http::Header const)
#10 0x457e05 grive gr::http::CurlAgent::Put(std::string const, gr::File*, 
gr::DataStream*, gr::http::Header const)
#11 0x45b5a7 grive gr::AuthAgent::Put(std::string const, gr::File*, 
gr::DataStream*, gr::http::Header const)
#12 0x453fa2 grive gr::v2::Syncer2::Upload(gr::Resource*)
#13 0x454ae0 grive gr::v2::Syncer2::Create(gr::Resource*)
#14 0x447ab7 grive gr::Resource::SyncSelf(gr::Syncer*, gr::Val const)
#15 0x447db7 grive gr::Resource::Sync(gr::Syncer*, gr::DateTime, gr::Val 
const)
#16 0x447ed8 grive gr::Resource::Sync(gr::Syncer*, gr::DateTime, gr::Val 
const)
#17 0x447ed8 grive gr::Resource::Sync(gr::Syncer*, gr::DateTime, gr::Val 
const)
#18 0x447ed8 grive gr::Resource::Sync(gr::Syncer*, gr::DateTime, gr::Val 
const)
#19 0x442488 grive gr::State::Sync(gr::Syncer*, gr::Val const)
#20 0x44b1d6 grive gr::Drive::Update()
#21 0x43124e grive Main(int, char**)
#22 0x42f18b grive main
#23 0x7fcb561fdec5 /lib/x86_64-linux-gnu/libc.so.6 __libc_start_main
#24 0x42fd8f grive 

[gr::JsonText*] = {
 error: {
  errors: [
   {
domain: global,
reason: authError,
message: Invalid Credentials,
locationType: header,
location: Authorization
   }
  ],
  code: 401,
  message: Invalid Credentials
 }
}

[gr::ParseErr*] = parse error: trailing garbage
   {  error: {   errors: [
 (right here) --^

** Affects: grive (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1459793

Title:
  grive crashes when refreshing token

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grive/+bug/1459793/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs